### Method

# Gtk.CellAreaContext.get_allocation

#### Declaration [src]

    void
    gtk_cell_area_context_get_allocation (
      GtkCellAreaContext* context,
      int* width,
      int* height
    )

#### Description [src]

Fetches the current allocation size for `context`.

If the context was not allocated in width or height, or if the context was recently reset with `gtk_cell_area_context_reset()`, the returned value will be -1.

#### Parameters

`width` | `int*`
| location to store the allocated width, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`height` | `int*`
| location to store the allocated height, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee